Bug 242838 - www/privatebin: update to 1.3.1
Summary: www/privatebin: update to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Stefan Esser
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-23 18:06 UTC by Dan Langille
Modified: 2020-01-17 19:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (se)


Attachments
Update to 1.3.1 (6.25 KB, patch)
2019-12-23 18:07 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille freebsd_committer 2019-12-23 18:06:39 UTC
The current version wants to write to www/privatebin and seems to ignore /var/db/privatebin.

Release 1.3.1 does not seem to have this issue.

While here, fix some portlint issues

* trailing spaces in pkg-descr
* move USES= up in Makefile

If maintainer wishes, I am happy to commit these changes as I have them staged in my working directory.
Comment 1 Dan Langille freebsd_committer 2019-12-23 18:07:09 UTC
Created attachment 210179 [details]
Update to 1.3.1
Comment 2 Automation User 2020-01-07 00:17:38 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/107402717
Comment 3 Dan Langille freebsd_committer 2020-01-07 14:33:30 UTC
Sorry, I was about to commit with maintainer timeout, but there have been recent major holidays.  Reverting assignee.
Comment 4 commit-hook freebsd_committer 2020-01-17 19:22:31 UTC
A commit references this bug:

Author: dvl
Date: Fri Jan 17 19:21:58 UTC 2020
New revision: 523356
URL: https://svnweb.freebsd.org/changeset/ports/523356

Log:
  update to 1.3.1

  This version will properly use /var/db/privatebin
  instead of %%PREFIX%%/www/privatebin

  While here, fix some portlint issues

  * trailing spaces in pkg-descr
  * move USES= up in Makefile

  PR:		242838
  Submitted by:	dvl@FreeBSD.org
  Approved by:	se@FreeBSD.org (maintainer timeout - 25 days)

Changes:
  head/www/privatebin/Makefile
  head/www/privatebin/distinfo
  head/www/privatebin/pkg-descr
  head/www/privatebin/pkg-plist